.baihe_related_goods {
    padding: var(--component-gap) 0 30px;
}

.baihe_related_goods .section-title {
    color: var(--title-text-color);
    font-size: var(--title-size-h3);
    font-weight: 700;
    line-height: 1.5;
}

.baihe_related_goods .swiper-slide img {
    width: 100%;
    aspect-ratio: 475/530;
    object-fit: cover;
}

.baihe_related_goods .swiper-slide {
    position: relative;
    border-radius: 20px;
    overflow: hidden;
    margin-top: var(--component-gap);
    overflow: hidden;
    perspective: 1400px;
}

.baihe_related_goods-item {
    display: block;
    border-radius: inherit;
    height: 100%;
    overflow: hidden;
}

.baihe_related_goods-card {
    width: 100%;
    position: relative;
    transform-style: preserve-3d;
    border-radius: inherit;
    aspect-ratio: 475 / 530;
    overflow: hidden;
}

.baihe_related_goods-img,
.baihe_related_goods-content {
    transition: transform 0.8s ease;
}

.baihe_related_goods .product-content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 120px;
    padding: 0 37px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background: linear-gradient(180deg, rgba(234, 171, 72, 0.00) 0%, rgba(234, 171, 72, 0.90) 100%);
}

.baihe_related_goods-img,
.baihe_related_goods-content {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    transform-style: preserve-3d;
    border-radius: inherit;
}

.baihe_related_goods-img {
    transform: rotateY(0);
}

.baihe_related_goods-item:hover .baihe_related_goods-img {
    transform: rotateY(180deg);
}



.baihe_related_goods .product-content .line {
    width: 30px;
    height: 3px;
    background: var(--color-primary);
    border-radius: 3px;
}

.baihe_related_goods .product-content .product-title {
    color: #fff;
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    margin-top: 12px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 100%;
}

.baihe_related_goods .container {
    position: relative;
}

.baihe_related_goods-content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 66px 35px 20px 40px;
    display: flex;
    flex-direction: column;
    background: var(--color-primary);
    animation: fadeIns 0.5s;
    transform: rotateY(180deg);
    z-index: 1;
}

.baihe_related_goods-item:hover .baihe_related_goods-content {
    transform: rotateY(0deg);
}

.baihe_related_goods-content .line {
    width: 30px;
    height: 3px;
    background: var(--color-second);
    border-radius: 3px;
}


.baihe_related_goods-name {
    color: #fff;
    font-size: var(--title-size-h5);
    font-weight: 500;
    line-height: 1.5;
    margin-top: 20px;
    max-height: calc(var(--title-size-h5) * 1.5 * 2);
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    word-break: break-all;
    line-clamp: 2;
}

.baihe_related_goods-desc {
    color: #fff;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
    margin-top: 16px;
    max-height: calc(var(--text-size) * 1.625 * 5);
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    word-break: break-all;
    line-clamp: 5;
}

.baihe_related_goods-advanced {
    color: #fff;
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.75;
    padding-left: 20px;
    margin-top: 10px;
}

.baihe_related_goods-advanced li {
    list-style-type: disc;
    color: var(--color-second);
}

.baihe_related_goods-advanced li span {
    color: #fff;
}

.baihe_related_goods-icon {
    position: absolute;
    bottom: 20px;
    right: 20px;
    width: 46px;
    height: 46px;
    border-radius: 50%;
    background: var(--color-second);
    display: flex;
    align-items: center;
    justify-content: center;
}

.baihe_related_goods-icon i {
    font-size: 20px;
    color: #fff;
}

.baihe_related_goods .swiper-button-prev,
.baihe_related_goods .swiper-button-next {
    width: 46px;
    height: 46px;
    background: rgba(242, 177, 75, 0.15);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 25px;
    right: 15px;
    left: auto;
}

.baihe_related_goods .swiper-button-prev {
    right: 35px;
    transform: translateX(-100%);
}

.baihe_related_goods .swiper-button-prev:after,
.baihe_related_goods .swiper-button-next:after {
    font-size: 20px;
    font-weight: 700;
    color: var(--color-second);
}

.baihe_related_goods .swiper-button-prev:hover,
.baihe_related_goods .swiper-button-next:hover {
    background: var(--color-second);
}

.baihe_related_goods .swiper-button-prev:hover:after,
.baihe_related_goods .swiper-button-next:hover:after {
    color: #fff;
}

@media screen and (max-width: 1500px) {
    .baihe_related_goods-content {
        padding: 40px 30px 20px 35px;
    }
}

@media screen and (max-width: 1200px) {

    .baihe_related_goods .swiper-button-prev,
    .baihe_related_goods .swiper-button-next {
        width: 36px;
        height: 36px;
    }

    .baihe_related_goods .swiper-button-prev:after,
    .baihe_related_goods .swiper-button-next:after {
        font-size: 16px;
    }
}

@media screen and (max-width: 768px) {

    .baihe_related_goods .swiper-button-prev,
    .baihe_related_goods .swiper-button-next {
        width: 30px;
        height: 30px;
        top: 24px;
    }

    .baihe_related_goods .swiper-button-prev:after,
    .baihe_related_goods .swiper-button-next:after {
        font-size: 12px;
    }

    .baihe_related_goods .product-content {
        padding: 0 20px;
        height: 80px;
    }

    .baihe_related_goods-content {
        padding: 20px 20px 20px 25px;
    }

    .baihe_related_goods-name {
        margin-top: 10px;
    }

    .baihe_related_goods-desc {
        margin-top: 4px;
    }

    .baihe_related_goods-advanced {
        margin-top: 8px;
        display: none;
    }
}

@media screen and (max-width: 576px) {
    .baihe_related_goods-advanced {
        display: flex;
    }
}